#include<iostream>
#include<math.h>
using namespace std;
main()
{
	int N,i,a,M,j,pr=1,zb=0,k=0;
	scanf("%d %d",&N,&M);
	int niz[N][M];
	for(i=0;i<N;i++)
	{
		scanf("%d",&a);
		for(j=0;j<a;j++)
		{
			niz[i][j]=1;
		}
		while(j<M)
		{
			niz[i][j]=0;
			j++;
		}
	}
	for(j=0;j<M;j++)
	{
		for(i=0,k=0;i<N;i++)
		{
			if(niz[i][j]==1)
			k++;		
		}
		pr=k*(N-k);
		zb+=pr;
	}
	printf("%d",zb);
}